package com.bjsxt.plane;

import java.awt.*;

//游戏物体的根类
public class GameObject {

    Image img;  //图片
    double x,y; //物体的坐标
    int speed;  //物体的移动速度
    int width,height;   //物体的宽，高

    public  Rectangle getRect(){
        return new Rectangle((int)x,(int)y,width,height);
    }

    public GameObject(){}
    public GameObject(Image img, double x, double y, int speed, int width, int height) {
        this.img = img;
        this.x = x;
        this.y = y;
        this.speed = speed;
        this.width = width;
        this.height = height;
    }

    public GameObject(Image img, double x, double y, int speed) {
        this.img = img;
        this.x = x;
        this.y = y;
        this.speed = speed;
        this.width = img.getWidth(null);
        this.height = img.getHeight(null);
    }

    public void drawMyself(Graphics g){
        g.drawImage(img,(int)x,(int)y,width,height,null);
    }
}
