package com.bjsxt.plane;

import java.awt.*;

/**
 * 炮弹类
 */
public class Shell extends GameObject{
    double degree;//
    public Shell(){
        x = 100;
        y = 200;
        degree = Math.random()*Math.PI*2;
        width = 5;
        height = 5;
        speed = 3;
    }

    @Override
    public void drawMyself(Graphics g) {
        Color c = g.getColor();
        g.setColor(Color.yellow);
        g.fillOval((int)x,(int) y,width,height);
        g.setColor(c);
        x +=speed*Math.cos(degree);
        y +=speed*Math.sin(degree);
        if(y>Constant.GAME_HEIGHT -this.height||y<40){
            degree =-degree;
        }
        if(x<0||x>Constant.GAME_WIDTH-this.width){
            degree = Math.PI-degree;
        }
    }

}
